#
# spec file for package squirrelmail-plugins (Version 1.4.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork apache2-utils attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl diffutils ed file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-modules patch pcre pcre-devel perl perl-base permissions popt post-build-checks pwdutils rpm sed squirrelmail sysvinit tar texinfo timezone util-linux zlib


Name:           squirrelmail-plugins
BuildRequires:  apache2-devel libapr-util1-devel pcre-devel squirrelmail
License:        GPL v2 or later
Group:          Productivity/Networking/Email/Clients
Url:            http://www.squirrelmail.org
Requires:       squirrelmail, vacation, ispell, gettext
AutoReqProv:    on
Version:        1.4.5
Release:        102.2
Summary:        some plugins for squirrelmail
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define plug_path $RPM_BUILD_ROOT/srv/www/htdocs/squirrelmail/plugins
%define plug_doc $RPM_BUILD_ROOT/%{_defaultdocdir}/squirrelmail/plugins
Source0:        abook_import_export-0.9-1.4.0.tar.bz2
Source2:        addgraphics-2.3-1.0.3.tar.gz
Source4:        attachment_tnef-0.7-1.4.0.tar.bz2
Source5:        autocomplete.2.0-1.0.0.tar.gz
Source6:        block_sender.2.02-1.4.0.tar.bz2
Source7:        email_footer-0.3-1.4.2.tar.gz
Source10:       folder_synch.0.8-1.4.0.tar.gz
Source11:       get_uuencode-3.1-1.4.x.tar.gz
Source12:       login_alias-2.4-1.2.1.tar.gz
Source13:       login_auto-1.1-1.2.tar.gz
Source15:       move_all_messages.0.1-1.2.4.tar.gz
Source17:       notes.1.2-1.4.0.tar.bz2
Source18:       picons-1.0-1.2.7.tar.gz
Source21:       secure_login-1.2-1.2.8.tar.bz2
Source22:       smime-0.6-1.4.tar.bz2
Source24:       squirrel_logger-2.0-1.2.7.tar.bz2
Source25:       timeout_user-1.1.1-0.5.tar.gz
Source26:       undelete.1.0-1.0.tar.gz
Source27:       username-2.3-1.0.0.tar.gz
Source28:       vacation_1.41_1.4.tar.bz2
%define   vadmin_version 1.9.2
Source29:       vadmin-%{vadmin_version}.tar.bz2
Source30:       view_as_html-3.6-1.4.x.tar.bz2
Source31:       vlogin-3.6-1.2.7.tar.bz2
Source32:       xheader.0.1.0-1.4.1.tar.gz
Source33:       avelsieve-1.9.3.tar.bz2
Source34:       shared_calendars-1.1.1-1.4.0.tar.bz2
Patch:          calendar-config.diff

%description
This are some plugins for the web-mailer squirrelmail.



Authors:
--------
    Tyler Akins
    Brent Bice
    Luke Ehresman
    Ron Chinn
    Lewis Bergman
    Ray Black III
    Konstantin Riabitsev
    Jimmy Conner
    Nick Sayer
    Bill Shupp
    Derek Battams

%debug_package
%prep
%setup -q -T -b 0 -n abook_import_export
%setup -q -T -b 2 -n addgraphics
%setup -q -T -b 4 -n attachment_tnef
%setup -q -T -b 5 -n autocomplete
%setup -q -T -b 6 -n block_sender
%setup -q -T -b 7 -n email_footer
%setup -q -T -b 10 -n folder_synch
%setup -q -T -b 11 -n get_uuencode
%setup -q -T -b 12 -n login_alias
%setup -q -T -b 13 -n login_auto
%setup -q -T -b 15 -n move_all_messages
%setup -q -T -b 17 -n notes
%setup -q -T -b 18 -n picons
%setup -q -T -b 21 -n secure_login
%setup -q -T -b 22 -n smime
%setup -q -T -b 24 -n squirrel_logger
%setup -q -T -b 25 -n timeout_user
%setup -q -T -b 26 -n undelete
%setup -q -T -b 27 -n username
%setup -q -T -b 28 -n vacation
%setup -q -T -b 29 -n vadmin-%{vadmin_version}
%setup -q -T -b 30 -n view_as_html
%setup -q -T -b 31 -n vlogin
%setup -q -T -b 32 -n xheader
%setup -q -T -b 33 -n avelsieve
%setup -q -T -b 34 -n calendar
%patch
find $RPM_BUILD_DIR -type d | xargs chmod 755

%build

%install
rm -rf $RPM_BUILD_ROOT
cd ..
rm -f avelsieve/edit.php.orig
find -name .cvsignore | while read file; do rm -rf $file; done
mv vadmin-%{vadmin_version} vadmin
mv calendar/data/config.php.sample calendar/data/config.php
install -d -m 755 %{plug_doc}/{abook_import_export,addgraphics,attachment_tnef,autocomplete,block_sender,email_footer,get_uuencode,login_alias,login_auto,move_all_messages,notes,picons,secure_login,smime,squirrel_logger,timeout_user,undelete,username,vacation,vadmin,view_as_html,vlogin,xheader,avelsieve,calendar}
#
install -d -m 755 %{plug_path}
#
cp -R {abook_import_export,addgraphics,attachment_tnef,autocomplete,block_sender,email_footer,folder_synch,get_uuencode,login_alias,login_auto,move_all_messages,notes,picons,secure_login,smime,squirrel_logger,timeout_user,undelete,username,vacation,vadmin,view_as_html,vlogin,xheader,avelsieve,calendar} %{plug_path}
#
# Moving doc files
#
mv %{plug_path}/abook_import_export/README %{plug_doc}/abook_import_export
mv %{plug_path}/addgraphics/{README,INSTALL} %{plug_doc}/addgraphics
mv %{plug_path}/attachment_tnef/README %{plug_doc}/attachment_tnef
mv %{plug_path}/autocomplete/README %{plug_doc}/autocomplete
mv %{plug_path}/block_sender/README* %{plug_doc}/block_sender
mv %{plug_path}/email_footer/README %{plug_doc}/email_footer
mv %{plug_path}/get_uuencode/README %{plug_doc}/get_uuencode
mv %{plug_path}/login_alias/{README,INSTALL} %{plug_doc}/login_alias
mv %{plug_path}/login_auto/{README,INSTALL} %{plug_doc}/login_auto
mv %{plug_path}/move_all_messages/INSTALL %{plug_doc}/move_all_messages
mv %{plug_path}/notes/README %{plug_doc}/notes
mv %{plug_path}/picons/{README,CHANGES} %{plug_doc}/picons
mv %{plug_path}/secure_login/README %{plug_doc}/secure_login
mv %{plug_path}/smime/{README.vasco,INSTALL} %{plug_doc}/smime
mv %{plug_path}/squirrel_logger/README %{plug_doc}/squirrel_logger
mv %{plug_path}/timeout_user/{README,INSTALL} %{plug_doc}/timeout_user
mv %{plug_path}/username/{README,INSTALL} %{plug_doc}/username
mv %{plug_path}/vacation/{README,INSTALL} %{plug_doc}/vacation
mv %{plug_path}/vadmin/doc/* %{plug_doc}/vadmin
rm -rf %{plug_path}/vadmin/doc
mv %{plug_path}/view_as_html/{README,ChangeLog} %{plug_doc}/view_as_html
mv %{plug_path}/xheader/README %{plug_doc}/xheader
mv %{plug_path}/vlogin/{INSTALL,README} %{plug_doc}/vlogin
mv %{plug_path}/avelsieve/doc/* %{plug_doc}/avelsieve
mv %{plug_path}/calendar/{COPYING,INSTALL,README} %{plug_doc}/calendar
rm -rf %{plug_path}/avelsieve/{po,doc,.cvsignore}
chmod 644 `find %{plug_path} -iname "*.php"`
echo '<?php 
	  global $change_back_to_http_after_login;
      $change_back_to_http_after_login = 0;'
    > %{plug_path}/secure_login/config.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/squirrelmail/plugins
/srv/www/htdocs/squirrelmail

%changelog
* Tue Aug 18 2009 - crrodriguez@suse.de
- VUL-0: squirrelmail regression on 10.3 [bnc#503810]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug 08 2005 - anicka@suse.cz
- add default configuration for shared_calendars
* Fri Aug 05 2005 - mjancar@suse.cz
- add shared_calendars 1.1.1 (#80480)
- update abook_import_export to 0.9
- update addgraphics to 2.3
- update get_uuencode to 3.1
- update login_alias to 2.4
- update notes to 1.2
- update squirrel_logger to 2.0
- update view_as_html to 3.6
- update vlogin to 3.6
- update avelsieve to 1.9.3
* Fri Mar 04 2005 - postadal@suse.cz
- removed unneeded requirements from needforbuild
  (apache2-mod_php4 gettext imap imap-devel ispell mod_php4-core php4)
* Tue Mar 01 2005 - mjancar@suse.cz
- update smime to 0.6-1.4 (fix code injection vulnerability, #65626)
* Mon Aug 23 2004 - ro@suse.de
- added php4 to neededforbuild
* Fri Aug 13 2004 - mjancar@suse.cz
- update avelsieve to 0.9.11
- update smime to 0.5
- update vlogin to 3.4-1.2.7
* Wed Jun 16 2004 - ro@suse.de
- updated neededforbuild
* Mon Apr 26 2004 - ro@suse.de
- use apache2
* Fri Mar 19 2004 - postadal@suse.cz
- removed useless files (*.orig)
* Tue Mar 02 2004 - postadal@suse.cz
- updated plugins: Addressbook Import-Export, TNEF Attachment Decoder,
  SIEVE Mail Filters, Email Footer, Get UUencode, Secure Login, Squirrel Logger,
  Username Display, Vadmin, View As HTML, Virtual Host Login
* Mon Aug 11 2003 - postadal@suse.cz
- removed obsoleted plugins which was integrated to standard distribution:
  Address Book Take, MOTD, Focus Change and Quota Usage plugin
- new plugin Avelsieve - "SIEVE Mail Filters Plugin"
  * for creating SIEVE scripts on a Cyrus IMAP server
- fix for Avelsieve plugin
- updated plugins: Add a Graphic, Autocomplete, Block Sender, Disk Quota,
  Folder Synch, get_uuencode, Login_Alias, Login Auto, Notes, Picons,
  S/MIME, Timeout User, Username Display, Vacation, Vadmin, view_as_html,
  VLogin, X-Header
* Wed Jun 18 2003 - ro@suse.de
- fixed doc packaging
- added directories to filelist
* Tue Aug 06 2002 - ro@suse.de
- adapted server-root again ...
* Mon Aug 05 2002 - tsieden@suse.de
- Added, removed and updated plugins
* Mon Aug 05 2002 - ro@suse.de
- adapted server-root to /srv/www
* Wed Jun 26 2002 - ro@suse.de
- fixed directory permissions
* Wed Jan 16 2002 - postadal@suse.cz
- Cleaned up specfile
- Added and updated plugins
* Wed Nov 21 2001 - rbarn@suse.de
- Added new package squirrelmail-plugins
